program main
  use wei_oneway_mod
  use sep
  implicit none

  integer :: stat

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()

  stat = wei_data_init()

  stat = wei_data_oper()

  stat = wei_data_clos()

  call sep_end_prog()
  call exit()

end program
